# Ominaisuus LAITOSTUNNUS

* Ominaisuuden vastuuhenkilö: Marko Polo
* Status (Ehdotus/Hyväksytty/Hylätty)

### Kuvaus

Käyttäjällä on rekisteröitymistä varten oppilaitokselta/työpaikalta saatu tunnus, joka varmistaa, että käyttäjällä on 'lupa' kirjautua palveluun. Tunnuksen avulla käyttäjätili
liitetään tietyn laitoksen tietoihin palvelussa, ja esimerkiksi työntekijän tekemä opintopolku ohjautuu oikeaan heatmappiin.


### Käyttötapaukset (Use Cases)

Täitä käyttötapauksia voidaan tarvittaessa käyttää hyväksyntätesteinä tai pohjana niille.

* [Use Case 1](FT1-kayttotapaus.md)
* [Use Case 3](FT3-kayttotapaus.md)


### Alustavat käyttäjätarinat

* _Käyttäjänä haluan, että käytän palvelua yritykseni nimissä_
* _Käyttäjän haluan, että tilini on yhteyksissä oppilaitokseni kanssa, jotta minulle tarjottavat opintopolut ja kurssit ovat alaani liittyviä_
* _Ylläpitäjän haluan, että voin ryhmitellä käyttäjiä, sillä se helpottaa työtäni_
#3

### Käyttöliittymänäkymä/mock

Rekisteröityessä palveluun ensikeraa, pyydetään käyttäjältä laitoksen tunnusta.

![](images/rekisteröinti_mock2.PNG)


### Ominaisuuteen liittyvät toiminnalliset vaatimukset

* Rekisteröityessä vaaditaan tunnus
* Tunnus on tullut alunperin palvelun ylläpitäjältä

### Ominaisuuteen liittävät ei-toiminnalliset vaatimukset

* Tunnuksia pitää pystyä jakamaan sitä mukaan kuin uusia käyttäjiä uusista laitoksista tulee
* 

### Ominaisuuteen liittyvät rajaukset

* Yhdelle tunnukselle on määritelty kuinka monta käyttäjää sen avulla voi rekisteröityä 


### Status/Aikataulu/Roadmap

| Status | |
|:----:|:----:|
| Hyväksytty/ Hylätty | - |




